<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:p1="http://www.zmc.com/flavor/mm" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy" name="si_mm100_mcs_sender" targetNamespace="http://www.zmc.com/flavor/mm" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:documentation />
  <wsp:UsingPolicy wsdl:required="true" />
  <wsp:Policy wsu:Id="OP_si_mm100_mcs_sender" />
  <wsdl:types>
    <xsd:schema xmlns="http://www.hbflavor.com/mm" targetNamespace="http://www.hbflavor.com/mm" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <xsd:complexType name="dt_mm100_req">
        <xsd:annotation>
          <xsd:documentation xml:lang="EN">输入参数DT</xsd:documentation>
          <xsd:appinfo source="http://sap.com/xi/VersionID">322e5698147d11edbe950000001b7af6</xsd:appinfo>
        </xsd:annotation>
        <xsd:sequence>
          <xsd:element minOccurs="0" name="WERKS" type="xsd:string">
            <xsd:annotation>
              <xsd:appinfo source="http://sap.com/xi/TextID">7fb5b0ee147d11ed953a6018953d3d57</xsd:appinfo>
              <xsd:documentation>工厂</xsd:documentation>
            </xsd:annotation>
          </xsd:element>
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="dt_mm100_res">
        <xsd:annotation>
          <xsd:documentation xml:lang="EN">输出参数DT</xsd:documentation>
          <xsd:appinfo source="http://sap.com/xi/VersionID">2bb8c3b23fc911ed8c900000001b7af6</xsd:appinfo>
        </xsd:annotation>
        <xsd:sequence>
          <xsd:element minOccurs="0" name="MSGTY" type="xsd:string">
            <xsd:annotation>
              <xsd:appinfo source="http://sap.com/xi/TextID">6ac9183608c211ed84376018953d3d57</xsd:appinfo>
              <xsd:documentation>返回消息类型</xsd:documentation>
            </xsd:annotation>
          </xsd:element>
          <xsd:element minOccurs="0" name="MSGTX" type="xsd:string">
            <xsd:annotation>
              <xsd:appinfo source="http://sap.com/xi/TextID">8bf4845308c211ed9d7d6018953d3d57</xsd:appinfo>
              <xsd:documentation>返回消息</xsd:documentation>
            </xsd:annotation>
          </xsd:element>
          <xsd:element minOccurs="0" maxOccurs="unbounded" name="DATA">
            <xsd:annotation>
              <xsd:appinfo source="http://sap.com/xi/TextID">56cf530e147e11eda4fb6018953d3d57</xsd:appinfo>
              <xsd:documentation>返回结果</xsd:documentation>
            </xsd:annotation>
            <xsd:complexType>
              <xsd:sequence>
                <xsd:element minOccurs="0" name="MATNR" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">c6ae2940147e11edaf1d6018953d3d57</xsd:appinfo>
                    <xsd:documentation>物料编码</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="WERKS" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">c6ae57b7147e11ed96be6018953d3d57</xsd:appinfo>
                    <xsd:documentation>工厂</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="BISMT" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">c6ae57b8147e11edcdc26018953d3d57</xsd:appinfo>
                    <xsd:documentation>试验号</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="MEINS" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">d46e142d147e11edb03e6018953d3d57</xsd:appinfo>
                    <xsd:documentation>基本计量单位</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="EXTWG" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">f88ba33d147e11edaf9d6018953d3d57</xsd:appinfo>
                    <xsd:documentation>物料描述(中文)）</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="MATKL" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">045bebc7147f11edbb606018953d3d57</xsd:appinfo>
                    <xsd:documentation>物料组</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="MTART" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">1079e79d147f11ed9ec86018953d3d57</xsd:appinfo>
                    <xsd:documentation>物料类型</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="ZCATEG" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">2ba7d5953fc911eda0eb6018953d3d57</xsd:appinfo>
                    <xsd:documentation>产品分类</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="MSTDE" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">54a52a2c147f11edce2e6018953d3d57</xsd:appinfo>
                    <xsd:documentation>有效起始期</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="VOLEH" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">63ee3cf6147f11edaa0b6018953d3d57</xsd:appinfo>
                    <xsd:documentation>体积单位</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="GROES" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">6d91735d147f11ed9b3c6018953d3d57</xsd:appinfo>
                    <xsd:documentation>大小/量纲</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="NUMTP" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">916704d7147f11edc6536018953d3d57</xsd:appinfo>
                    <xsd:documentation>EAN类别</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="EKGRP" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">916704d8147f11edad416018953d3d57</xsd:appinfo>
                    <xsd:documentation>采购组</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="MAKTX" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">a0c8348c147f11ed93de6018953d3d57</xsd:appinfo>
                    <xsd:documentation>物料描述(英文)</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="ZJWLH" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">cdd63db4147f11edb4966018953d3d57</xsd:appinfo>
                    <xsd:documentation>工厂旧物料号</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
              </xsd:sequence>
            </xsd:complexType>
          </xsd:element>
        </xsd:sequence>
      </xsd:complexType>
    </xsd:schema>
    <xsd:schema xmlns="http://www.zmc.com/flavor/mm" xmlns:p10="http://www.hbflavor.com/mm" targetNamespace="http://www.zmc.com/flavor/mm" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <xsd:import namespace="http://www.hbflavor.com/mm" />
      <xsd:element name="mt_mm100_res" type="p10:dt_mm100_res" />
      <xsd:element name="mt_mm100_req" type="p10:dt_mm100_req" />
    </xsd:schema>
  </wsdl:types>
  <wsdl:message name="mt_mm100_req">
    <wsdl:documentation />
    <wsdl:part name="mt_mm100_req" element="p1:mt_mm100_req" />
  </wsdl:message>
  <wsdl:message name="mt_mm100_res">
    <wsdl:documentation />
    <wsdl:part name="mt_mm100_res" element="p1:mt_mm100_res" />
  </wsdl:message>
  <wsdl:portType name="si_mm100_mcs_sender">
    <wsdl:documentation />
    <wsdl:operation name="si_mm100_mcs_sender">
      <wsdl:documentation />
      <wsp:Policy>
        <wsp:PolicyReference URI="#OP_si_mm100_mcs_sender" />
      </wsp:Policy>
      <wsdl:input message="p1:mt_mm100_req" />
      <wsdl:output message="p1:mt_mm100_res" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="si_mm100_mcs_senderBinding" type="p1:si_mm100_mcs_sender">
    <binding transport="http://schemas.xmlsoap.org/soap/http" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
    <wsdl:operation name="si_mm100_mcs_sender">
      <operation soapAction="http://sap.com/xi/WebService/soap1.1" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      <wsdl:input>
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </wsdl:input>
      <wsdl:output>
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="si_mm100_mcs_senderService">
    <wsdl:port name="HTTP_Port" binding="p1:si_mm100_mcs_senderBinding">
      <address location="http://sappoqas.hbglobal.com:50000/XISOAPAdapter/MessageServlet?senderParty=&amp;senderService=ZMCS_FLAVOR&amp;receiverParty=&amp;receiverService=&amp;interface=si_mm100_mcs_sender&amp;interfaceNamespace=http%3A%2F%2Fwww.zmc.com%2Fflavor%2Fmm" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
    </wsdl:port>
    <wsdl:port name="HTTPS_Port" binding="p1:si_mm100_mcs_senderBinding">
      <address location="https://sappoqas.hbglobal.com:50001/XISOAPAdapter/MessageServlet?senderParty=&amp;senderService=ZMCS_FLAVOR&amp;receiverParty=&amp;receiverService=&amp;interface=si_mm100_mcs_sender&amp;interfaceNamespace=http%3A%2F%2Fwww.zmc.com%2Fflavor%2Fmm" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>